classification
Title: return value of epoll.register
Type: behavior Stage:
Components: Documentation Versions: Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, georg.brandl, shaovie
Priority: normal Keywords:

Created on 2009-09-09 01:57 by shaovie, last changed 2010-08-02 20:48 by georg.brandl. This issue is now closed.

Messages (2)
msg92440 - (view) Author: shaowei.cui (shaovie) Date: 2009-09-09 01:57
help(select.epoll) show 'register(fd[, eventmask]) -> bool', but it
return 'None' actually. 

I view the source code of selectmodule.c that return None actually.

The function "pyepoll_internal_ctl(int epfd, int op, PyObject *pfd,
unsigned int events)"
msg112543 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-02 20:48
Thanks, fixed in r83574.
History
Date User Action Args
2010-08-02 20:48:04georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg112543
2010-07-11 09:34:59BreamoreBoysetassignee: georg.brandl -> docs@python

nosy: + docs@python
2009-09-09 01:57:59shaoviecreate